MagickMind
API ReferenceArtifacts

Get an artifact attached to a message in a magickspace (end-user JWT)

GET
/v1/end-user/magickspaces/{magickspace_id}/artifacts/{id}

Authorization

EndUserAuth
AuthorizationBearer <token>

End-user JWT minted via POST /v1/end-users/tokens, sent as Authorization: Bearer <token>.

In: header

Path Parameters

magickspace_id*string
id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/end-user/magickspaces/string/artifacts/string"
{  "bucket": "string",  "checksum_sha256": "string",  "content_type": "string",  "created_at": "string",  "created_by": "string",  "deleted_at": "string",  "deleted_by": "string",  "end_user_id": "string",  "error_code": "string",  "etag": "string",  "id": "string",  "key": "string",  "original_filename": "string",  "s3_url": "string",  "scope_id": "string",  "scope_type": "string",  "size_bytes": 0,  "status": "string",  "tenant_id": "string",  "updated_at": "string",  "updated_by": "string"}